Importapay
Api reference

Create an international payment intent from a quote

POST/api/merchant/international-payment-intents

Request

Parameters

Prop

Type

Request body (required)

Prop

Type

{  "quoteId": "string",  "quoteOptionId": "string",  "invoiceUrl": "string",  "paymentInstructionsUrl": "string",  "recipientFullName": "string",  "recipientEmail": "string",  "bankCode": "string",  "bankCodeType": "swift",  "accountNumber": "string",  "purposeOfTransfer": "string",  "destinationPayload": {}}

Responses

201 International payment intent created

{  "type": "object",  "required": [    "message",    "response"  ],  "properties": {    "message": {      "type": "string"    },    "response": {      "type": "object",      "required": [        "intentId",        "status",        "quoteId",        "quoteOptionId",        "destinationCountry",        "amount",        "currency",        "createdAt",        "updatedAt"      ],      "properties": {        "intentId": {          "type": "string"        },        "status": {          "type": "string",          "enum": [            "pending",            "processing",            "bridge_initiated",            "bridge_confirmed",            "withdrawal_initiated",            "withdrawal_confirmed",            "settled",            "rejected"          ]        },        "quoteId": {          "type": "string"        },        "quoteOptionId": {          "type": "string"        },        "paymentReference": {          "type": "string"        },        "routeType": {          "type": "string",          "enum": [            "ngn",            "usdc"          ]        },        "destinationCountry": {          "type": "string"        },        "amount": {          "type": "number"        },        "currency": {          "type": "string"        },        "recipientFullName": {          "type": "string"        },        "recipientEmail": {          "type": "string",          "format": "email"        },        "bankCode": {          "type": "string"        },        "bankCodeType": {          "type": "string",          "enum": [            "swift",            "iban",            "routing_number",            "other"          ]        },        "accountNumber": {          "type": "string"        },        "purposeOfTransfer": {          "type": "string"        },        "adminNote": {          "type": "string"        },        "quoteExpiresAt": {          "type": "string",          "format": "date-time",          "nullable": true        },        "processedAt": {          "type": "string",          "format": "date-time",          "nullable": true        },        "settledAt": {          "type": "string",          "format": "date-time",          "nullable": true        },        "receiptUrl": {          "type": "string",          "format": "uri"        },        "telexUrl": {          "type": "string",          "format": "uri"        },        "createdAt": {          "type": "string",          "format": "date-time"        },        "updatedAt": {          "type": "string",          "format": "date-time"        }      },      "additionalProperties": true,      "title": "InternationalPaymentIntent"    }  },  "title": "InternationalPaymentIntentResponse"}